## org.hibernate.event.spi
Class PostLoadEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.PostLoadEvent

All Implemented Interfaces:
  Serializable

    public class PostLoadEvent

extends AbstractEvent

Occurs after an an entity instance is fully loaded.

See Also:
  Serialized Form

Constructor Summary
`PostLoadEvent(EventSource session)`

Method Summary
`Object` `getEntity()`
`Serializable` `getId()`
`EntityPersister` `getPersister()`
`PostLoadEvent` `setEntity(Object entity)`
`PostLoadEvent` `setId(Serializable id)`
`PostLoadEvent` `setPersister(EntityPersister persister)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostLoadEvent

    public PostLoadEvent(EventSource session)

Method Detail

### getEntity

    public Object getEntity()

### getPersister

    public EntityPersister getPersister()

### getId

    public Serializable getId()

### setEntity

    public PostLoadEvent setEntity(Object entity)

### setId

    public PostLoadEvent setId(Serializable id)

### setPersister

    public PostLoadEvent setPersister(EntityPersister persister)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.